VerifyDesignDelegate (Ant Contrib)
Keywords: net.sf.antcontrib.design.VerifyDesignDelegate class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.design
Class VerifyDesignDelegate

    java.lang.Object
      net.sf.antcontrib.design.VerifyDesignDelegate

All Implemented Interfaces:
  Log

    public class VerifyDesignDelegate

extends java.lang.Object
implements Log

Author:
  dhiller

Constructor Summary
`VerifyDesignDelegate(org.apache.tools.ant.Task task)`

Method Summary
`void` | `addConfiguredPath(org.apache.tools.ant.types.Path path)`
`void` | `execute()`
`static java.lang.String` | `getPackageName(java.lang.String className)`
`void` | `log(java.lang.String msg, int level)`
`void` | `setCircularDesign(boolean isCircularDesign)`
`void` | `setDeleteFiles(boolean deleteFiles)`
`void` | `setDesign(java.io.File f)`
`void` | `setFillInBuildException(boolean b)`
`void` | `setJar(java.io.File f)`
`void` | `setNeedDeclarationsDefault(boolean b)`
`void` | `setNeedDependsDefault(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifyDesignDelegate

    public VerifyDesignDelegate(org.apache.tools.ant.Task task)

Method Detail

### addConfiguredPath

    public void addConfiguredPath(org.apache.tools.ant.types.Path path)

### setJar

    public void setJar(java.io.File f)

### setDesign

    public void setDesign(java.io.File f)

### setCircularDesign

    public void setCircularDesign(boolean isCircularDesign)

### setDeleteFiles

    public void setDeleteFiles(boolean deleteFiles)

### setFillInBuildException

    public void setFillInBuildException(boolean b)

### setNeedDeclarationsDefault

    public void setNeedDeclarationsDefault(boolean b)

### setNeedDependsDefault

    public void setNeedDependsDefault(boolean b)

### execute

    public void execute()

### getPackageName

    public static java.lang.String getPackageName(java.lang.String className)

### log

    public void log(java.lang.String msg,
                    int level)

  Specified by:
    `log` in interface `Log`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD